import { MatDialogRef } from '@angular/material/dialog';
import type { ODialogConfig } from './o-dialog.config';
import * as i0 from "@angular/core";
export declare class ODialogComponent {
    dialogRef: MatDialogRef<ODialogComponent>;
    protected static DEFAULT_OK_BUTTON_TEXT: string;
    protected static DEFAULT_CANCEL_BUTTON_TEXT: string;
    protected _title: string;
    protected _message: string;
    protected _okButtonText: string;
    protected _cancelButtonText: string;
    protected _twoOptions: boolean;
    protected _useIcon: boolean;
    protected _icon: string;
    protected _alertType: string;
    constructor(dialogRef: MatDialogRef<ODialogComponent>);
    onOkClick(): void;
    alert(title: string, message: string, config?: ODialogConfig): void;
    info(title: string, message: string, config?: ODialogConfig): void;
    warn(title: string, message: string, config?: ODialogConfig): void;
    error(title: string, message: string, config?: ODialogConfig): void;
    confirm(title: string, message: string, config?: ODialogConfig): void;
    protected ensureConfig(config: ODialogConfig): ODialogConfig;
    protected configureDefaultAlert(title: string, message: string, config?: ODialogConfig): void;
    get isInfo(): boolean;
    get isWarn(): boolean;
    get isError(): boolean;
    get title(): string;
    set title(val: string);
    get message(): string;
    set message(val: string);
    get okButtonText(): string;
    set okButtonText(val: string);
    get cancelButtonText(): string;
    set cancelButtonText(val: string);
    get icon(): string;
    set icon(val: string);
    get alertType(): string;
    set alertType(val: string);
    get twoOptions(): boolean;
    set twoOptions(val: boolean);
    get useIcon(): boolean;
    set useIcon(val: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<ODialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ODialogComponent, "o-dialog", never, {}, {}, never, never, true, never>;
}
